=== debian/changelog ===
libspatialaudio (0.3.0+git20180730+dfsg1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-
    Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version
    - Use pkgconf
  * debian/patches: Fix configuring with cmake 4 (Closes: #1113204)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 01 Sep 2025 21:32:30 +0200

libspatialaudio (0.3.0+git20180730+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062634

 -- Graham Inggs <ginggs@debian.org>  Wed, 28 Feb 2024 18:49:14 +0000
