=== debian/watch ===
version=4
opts=repacksuffix=+dfsg1,dversionmangle=s/\+dfsg\d*$// \
https://github.com/videolabs/libspatialaudio/releases \
  .*/spatialaudio-@ANY_VERSION@@ARCHIVE_EXT@
