=== debian/changelog ===
libspatialaudio (0.4-1) experimental; urgency=medium

  * New upstream version 0.4
  * debian/watch: Upgrade to version 5
  * SONAME bump: libspatialaudio0 -> libspatialaudio2
  * debian/: Build with meson
  * debian/patches: Remove no longer needed patches
  * debian/control: Drop RRR: no
  * debian/copyright: Update copyright for 0.4

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 05 Dec 2025 18:54:14 +0100
