=== debian/control ===
--- 
+++ 
@@ -6,15 +6,14 @@
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dpkg-dev (>= 1.22.5),
- cmake,
+ meson,
+ ninja-build,
  libmysofa-dev,
  pkgconf
 Standards-Version: 4.7.2
 Homepage: https://github.com/videolabs/libspatialaudio
 Vcs-Git: https://salsa.debian.org/multimedia-team/libspatialaudio.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libspatialaudio
-Rules-Requires-Root: no
 
 Package: libspatialaudio-dev
 Section: libdevel
@@ -22,7 +21,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libspatialaudio0t64 (= ${binary:Version}),
+ libspatialaudio2 (= ${binary:Version}),
  libmysofa-dev
 Description: library for ambisonic encoding and decoding (development files)
  libspatialaudio is an open-source and cross-platform C++ library for Ambisonic
@@ -43,10 +42,7 @@
  .
  This package contains the development files.
 
-Package: libspatialaudio0t64
-Provides: ${t64:Provides}
-Replaces: libspatialaudio0
-Breaks: libspatialaudio0 (<< ${source:Version})
+Package: libspatialaudio2
 Architecture: any
 Multi-Arch: same
 Depends:
