=== debian/watch ===
Version: 5

Template: GitHub
Owner: videolabs
Project: libspatialaudio
